%define module_name Types-Const
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(List/Util.pm) perl(Module/Metadata.pm) perl(Moo.pm) perl(Pod/Coverage/TrustPod.pm) perl(Storable.pm) perl(Test/CleanNamespaces.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/TypeTiny.pm) perl(Type/Coercion.pm) perl(Type/Library.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(Types/TypeTiny.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.7
Release: alt1
Summary: Types that coerce references to read-only
Group: Development/Perl
License: artistic_2
URL: https://metacpan.org/release/Types-Const

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
The type library provides types that force read-only hash and array
reference attributes to be deeply read-only.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/T*

%changelog
* Thu Feb 14 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.7-alt1
- updated by package builder

* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.6-alt1
- regenerated from template by package builder

* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1
- regenerated from template by package builder

* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1
- initial import by package builder

